'''Test class to perform multiple actions on a single request'''

import re

from tests.PKIClientTestCase import PKIClientTestCase

class Cert(PKIClientTestCase):
    def __init__(self, env = 0, returncode = -1, stdout = '', stderr = '', err_msg = '', req_id = 0):
        self.env = env
        self.returncode = returncode
        self.stderr = stderr
        self.stdout = stdout
        self.err_msg = err_msg
        self.__req_id = req_id

    @classmethod
    def request(cls, *options):
        __env = cls.get_test_env()
        __result = cls.run_script(cls.env,
                                   'osg-cert-request',
                                   '--hostname', 'test.' + cls.domain,
                                   "--email", cls.email,
                                   "--name", cls.name,
                                   "--phone", cls.phone,
                                   "--comment", "This is a comment",
                                   "--cc", "test@example.com,test2@example.com",
                                   *options)
        self.__populate_result_attr(result)
        try:
            __req_id = re.search(r'^Request Id#: (\d+)\s*$', __stdout, re.MULTILINE).group(1)
        except AttributeError:
            cls.fail('Could not find Request ID: ' + __err_msg)
        return cls(__env, __returncode, __stdout, __stderr, __err_msg, __req_id)

    def retrieve(self, *options):
        __result = self.run_script(self.env,
                                   'osg-cert-retrieve',
                                   self.req_id,
                                   *options)
        self.__populate_result_attr(result)

    def __run_pki_tool(self, tool, *options):
        self.returncode = __result.returncode
        self.stderr = __result.stderr
        self.stdout = __result.stdout
        self.err_msg = self.run_error_msg(__result)
        return self

# class CertException(Exception):
